<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>31.10</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
    />
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>
    <style>
      .div-background-picture {
        background-image: url("signup-bg.jpg");
        height: 100%;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        opacity: 0.9;
      }
      .jumbotron {
        background-color: white;
        border-radius: 8px;
        padding: 3rem 5rem;
      }
      .btn-width {
        width: 100%;
        height: 45px;
      }
    </style>
  </head>
  <body>
    <div class="container-fluid div-background-picture">
        <div class="row d-flex align-items-center min-vh-100">
          <div class="col-sm-4 text-center mx-auto my-0 jumbotron">
            <div class="mb-5">
              <h3 class="text-center"><b>CREATE ACCOUNT</b></h3>
            </div>

            <div>
              <div class="form-group">
                <input
                  type="text"
                  placeholder="Your Name"
                  id="inp-yourname"
                  class="form-control"
                />
              </div>
              <div class="form-group">
                <input
                  type="text"
                  placeholder="Your Email"
                  id="inp-email"
                  class="form-control"
                />
              </div>
              <div class="form-group">
                <input
                  type="password"
                  placeholder="Password"
                  id="inp-password"
                  class="form-control"
                />
              </div>
              <div class="form-group">
                <input
                  type="password"
                  placeholder="Repeat your password"
                  id="inp-confirmpassword"
                  class="form-control"
                />
              </div>
              <div class="form-group d-flex align-items-center">
                <input type="checkbox" id="inp-checkbox" class="mt-1" />
                <p class="mb-0 pl-2">
                  I agree all statements of <a href="#">Term of service</a>
                </p>
              </div>
              <div class="form-group mt-5">
                <button class="btn btn-width btn-success" id="btn-signup">
                  SIGN UP
                </button>
              </div>
              <div class="form-group mt-5">
                <p>Have already an account? <a href="#">Login here</a></p>
              </div>
            </div>
          </div>
        </div>
    </div>
  </body>
  <script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    $("#btn-signup").click(function () {
        onBtnSignUpClick();
    });
    function onBtnSignUpClick() {
        var vSignUpObj = {
            yourName: "",
            email: "",
            password: "",
            confirmPassword: "",
            checked: ""
        };

        getSignUpObj(vSignUpObj);

        if (validateSignUpObj(vSignUpObj) === 1) {
            showSignUpObj(vSignUpObj)
        }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function getSignUpObj(paramObj) {
        paramObj.yourName = $("#inp-yourname").val().trim();
        paramObj.email = $("#inp-email").val().trim();
        paramObj.password = $("#inp-password").val().trim();
        paramObj.confirmPassword = $("#inp-confirmpassword").val().trim();
        paramObj.checked = $("#inp-checkbox:checked").val();
    }
    function validateSignUpObj(paramObj) {
        if(paramObj.yourName === "" ){
            alert("Nhập yourname ....");
        }else if(paramObj.email === "") {
            alert("Nhập email ... ");
        }else if(paramObj.email.includes("@") === false){
            alert("email phải có @");
        }else if((paramObj.email.split("@").length - 1) > 1) {
            alert("email không được chứa hai @ trở lên");
        }else if(paramObj.email.includes(".") === false){
            alert("email phải có dấu chấm ");
        }else if(paramObj.email.startsWith("@")){
            alert("email không được bắt đầu bằng @");
        }else if(paramObj.email.endsWith("@")) {
            alert("email không được kết thúc bằng @");
        }else if(paramObj.password === "") {
            alert("nhập password ...");
        }else if(paramObj.password.length < 9) {
            alert("password phải dài hơn 8 kí tự ");
        }else if(paramObj.confirmPassword != paramObj.password) {
            alert("password không trùng khớp");
        }else if(paramObj.checked !== "on"){
            alert("chưa đồng ý điều khoản");
        }else return 1;
    }

    function showSignUpObj(paramObj) {
        console.log(paramObj);
    }
  </script>
</html>
